ScXMLInvoke Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
ScXMLInvoke Class Referenceabstract
State Chart XML Classes

Implementation of the <invoke> SCXML element. More...

`#include <Inventor/scxml/ScXMLInvoke.h>`

Inheritance diagram for ScXMLInvoke:

## Public Member Functions
virtual SoType | getTypeId (void) const =0
virtual void | setTargetTypeAttribute (const char *id)
const char * | getTargetTypeAttribute (void) const
virtual void | setSrcAttribute (const char *id)
const char * | getSrcAttribute (void) const
virtual void | setSrcExprAttribute (const char *id)
const char * | getSrcExprAttribute (void) const
virtual SbBool | handleXMLAttributes (void)
virtual void | invoke (ScXMLStateMachine *statemachine)=0
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
void | setXMLAttribute (const char *attribute, const char *value)
const char * | getXMLAttribute (const char *attribute) const
virtual void | setContainer (ScXMLObject *container)
ScXMLObject * | getContainer (void) const
SbBool | isContainedIn (const ScXMLObject *object) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
static void | initClass (void)

## Protected Attributes
char * | targettype
char * | src
char * | srcexpr

## Additional Inherited Members
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

Implementation of the <invoke> SCXML element.

Since
  Coin 3.0

## Member Function Documentation

SbBool ScXMLInvoke::handleXMLAttributes | ( | void |  | ) |
| virtual

This method is called when the file reader has set all the XML attributes on the object, and wants the object to handle them and report if the values were ok or if a read error should be produced.

Returns
  TRUE if the attributes are ok, and FALSE on error.

This base class implementation does nothing and just returns TRUE.

Reimplemented from ScXMLObject.

The documentation for this class was generated from the following files:

- ScXMLInvoke.h
- ScXMLInvoke.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.